Subject: Re: [Bier] BIER WGLC: draft-ietf-bier-php

From: Zhang Z <[email-masked]>
Date: Tue, 1 Oct 2019 15:20:26 +0000

Hi Jeffrey,

Thank you for your explanation for comment 3#. It's right. The encapsulation sub-TLV advertisement is optional. I got it. Thank you!
For comment 4, I thought you would like to cover the OSPFv3 extension in this draft. But you are right may it will be a better way to mention the extension in OSPFv3 draft.
Thank you!

Best regards,
Sandy

________________________________
发件人: BIER <[email-masked]> 代表 Jeffrey (Zhaohui) Zhang <zzhang=[email-masked]>
发送时间: 2019年10月1日 2:37
收件人: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
抄送: [email-masked] <[email-masked]>
主题: Re: [Bier] BIER WGLC: draft-ietf-bier-php

Hi Sandy,

Thanks for your comments.

Please see zzh> below.

From: [email-masked] <[email-masked]>
Sent: Tuesday, September 24, 2019 3:55 AM
To: [email-masked]; Jeffrey (Zhaohui) Zhang <[email-masked]>
Cc: [email-masked]
Subject: Re:[Bier] BIER WGLC: draft-ietf-bier-php

Hi Greg,

I think this draft is useful in extending BIER deployment.

I do support the progess of this draft.

And I have some comments on this version of draft:

  1.  [I-D.ietf-bier-ospf-bier-extensions] should be replaced by RFC8444.

Zzh> Yes.

  1.  In section 3, the "Label Range Base" should be modified to "Label".

Zzh> Yes.

  1.  With the "Implicit Null Label" advertisement, the associated "BS Len" should be set to 0 to avoid confusion.

Zzh> That is for a particular BSL, so BS Len should not be 0. If one wants a simple signaling for “I don’t support BIER at all but please do PHP”, then it should just use the PHP sub-TLV w/o advertising encap sub-TLV.

4. A nit in section 5, the "OSPFv2" should be "OSPFv3".

Zzh> This is indeed OSPFv2. OSPFv3 signaling draft is newer, so unless this PHP draft is delayed, I’d rather mention PHP in the OSPFv3 draft.

Zzh> Thanks! I will post a revision soon.

Zzh> Jeffrey

Thanks,

Sandy

原始邮件

发件人：GregShepherd <[email-masked]<mailto:[email-masked]>>

收件人：BIER WG <[email-masked]<mailto:[email-masked]>>;

日 期 ：2019年07月31日 03:19

主 题 ：[Bier] BIER WGLC: draft-ietf-bier-php

_______________________________________________
BIER mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bier

Please read and respond to this thread:

https://datatracker.ietf.org/doc/draft-ietf-bier-php/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bier-php/__;!8WoA6RjC81c!T-D6x62ghQ6W-dEjKoMgaXKMtLv0ymQr7wUODBs86UBabhZ2ZjZeruPyg5U5sNy4$>

EOTWT: Aug 13th.

Thanks,

Shep

(chairs)